Skip to content

Folders Endpoints

Folders API endpoints.


Overview

Method Endpoint Description
POST /api/v1/folders/ Create Folder
GET /api/v1/folders/ List Folders
GET /api/v1/folders/item/{entity_type}/{entity_id} Get Folder For Item
PATCH /api/v1/folders/{folder_id} Update Folder
DELETE /api/v1/folders/{folder_id} Delete Folder
GET /api/v1/folders/{folder_id} Get Folder
GET /api/v1/folders/{folder_id}/items Get Folder Items
POST /api/v1/folders/{folder_id}/items Place Folder Item
DELETE /api/v1/folders/{folder_id}/items/{entity_type}/{entity_id} Remove Folder Item

API Reference

Sartiq Backend Server - Folders 0.1.0

folders


POST /api/v1/folders/

Create Folder

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
organization_id query No

Request body

{
    "name": "string",
    "description": null,
    "color": null,
    "parent_id": null,
    "thumbnail": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "name": {
            "type": "string",
            "title": "Name"
        },
        "description": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Description"
        },
        "color": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Color"
        },
        "parent_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Parent Id"
        },
        "thumbnail": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/MediaInput"
                },
                {
                    "type": "null"
                }
            ]
        }
    },
    "type": "object",
    "required": [
        "name"
    ],
    "title": "FolderCreate"
}

Responses

{
    "id": "70ac5dfa-de2a-435f-b5dd-4df8d07f3cde",
    "name": "string",
    "description": null,
    "color": null,
    "parent_id": null,
    "owner_id": "981ce2db-d920-40b7-bf36-14a28b43a219",
    "organization_id": "d7922e78-0fa4-4115-a539-2c3ee65c5540",
    "created_at": "2022-04-13T15:42:05.901Z",
    "updated_at": "2022-04-13T15:42:05.901Z",
    "item_count": 0,
    "thumbnail": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "name": {
            "type": "string",
            "title": "Name"
        },
        "description": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Description"
        },
        "color": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Color"
        },
        "parent_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Parent Id"
        },
        "owner_id": {
            "type": "string",
            "format": "uuid",
            "title": "Owner Id"
        },
        "organization_id": {
            "type": "string",
            "format": "uuid",
            "title": "Organization Id"
        },
        "created_at": {
            "type": "string",
            "format": "date-time",
            "title": "Created At"
        },
        "updated_at": {
            "type": "string",
            "format": "date-time",
            "title": "Updated At"
        },
        "item_count": {
            "type": "integer",
            "title": "Item Count",
            "description": "Number of items placed DIRECTLY in this folder. Excludes subfolders and their contents — not a recursive total.",
            "default": 0
        },
        "thumbnail": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/MediaResourcePublic"
                },
                {
                    "type": "null"
                }
            ]
        }
    },
    "type": "object",
    "required": [
        "id",
        "name",
        "owner_id",
        "organization_id",
        "created_at",
        "updated_at"
    ],
    "title": "FolderPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/folders/

List Folders

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
limit query integer 100 No
organization_id query No
parent_id query No
search query No
skip query integer 0 No
tree query boolean False No

Responses

Schema of the response body
{
    "anyOf": [
        {
            "$ref": "#/components/schemas/FoldersPublic"
        },
        {
            "$ref": "#/components/schemas/FolderTreeListPublic"
        }
    ],
    "title": "Response Folders-List Folders"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/folders/item/{entity_type}/{entity_id}

Get Folder For Item

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
entity_id path string No
entity_type path No
organization_id query No

Responses

Schema of the response body
{
    "anyOf": [
        {
            "$ref": "#/components/schemas/FolderPublic"
        },
        {
            "type": "null"
        }
    ],
    "title": "Response Folders-Get Folder For Item"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

PATCH /api/v1/folders/{folder_id}

Update Folder

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
folder_id path string No
organization_id query No

Request body

{
    "name": null,
    "description": null,
    "color": null,
    "parent_id": null,
    "thumbnail": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "name": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Name"
        },
        "description": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Description"
        },
        "color": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Color"
        },
        "parent_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Parent Id"
        },
        "thumbnail": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/MediaInput"
                },
                {
                    "type": "null"
                }
            ]
        }
    },
    "type": "object",
    "title": "FolderUpdate"
}

Responses

{
    "id": "158e7b2d-98b9-4404-b4b4-9666cc8e073a",
    "name": "string",
    "description": null,
    "color": null,
    "parent_id": null,
    "owner_id": "86e8ad49-dea1-418c-a78a-d600d6faf0eb",
    "organization_id": "4b9c2f1c-8ba6-464c-9513-7667ad1a4708",
    "created_at": "2022-04-13T15:42:05.901Z",
    "updated_at": "2022-04-13T15:42:05.901Z",
    "item_count": 0,
    "thumbnail": null
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "name": {
            "type": "string",
            "title": "Name"
        },
        "description": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Description"
        },
        "color": {
            "anyOf": [
                {
                    "type": "string"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Color"
        },
        "parent_id": {
            "anyOf": [
                {
                    "type": "string",
                    "format": "uuid"
                },
                {
                    "type": "null"
                }
            ],
            "title": "Parent Id"
        },
        "owner_id": {
            "type": "string",
            "format": "uuid",
            "title": "Owner Id"
        },
        "organization_id": {
            "type": "string",
            "format": "uuid",
            "title": "Organization Id"
        },
        "created_at": {
            "type": "string",
            "format": "date-time",
            "title": "Created At"
        },
        "updated_at": {
            "type": "string",
            "format": "date-time",
            "title": "Updated At"
        },
        "item_count": {
            "type": "integer",
            "title": "Item Count",
            "description": "Number of items placed DIRECTLY in this folder. Excludes subfolders and their contents — not a recursive total.",
            "default": 0
        },
        "thumbnail": {
            "anyOf": [
                {
                    "$ref": "#/components/schemas/MediaResourcePublic"
                },
                {
                    "type": "null"
                }
            ]
        }
    },
    "type": "object",
    "required": [
        "id",
        "name",
        "owner_id",
        "organization_id",
        "created_at",
        "updated_at"
    ],
    "title": "FolderPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/folders/{folder_id}

Delete Folder

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
folder_id path string No
organization_id query No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/folders/{folder_id}

Get Folder

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
background_images_n query integer 4 No
contents query boolean True No
folder_id path string No
limit query integer 100 No
organization_id query No
skip query integer 0 No
sort_by query No
sort_dir query string desc No

Responses

Schema of the response body
{
    "anyOf": [
        {
            "$ref": "#/components/schemas/FolderContentsPublic"
        },
        {
            "$ref": "#/components/schemas/FolderPublic"
        }
    ],
    "title": "Response Folders-Get Folder"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

GET /api/v1/folders/{folder_id}/items

Get Folder Items

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
background_images_n query integer 4 No
folder_id path string No
limit query integer 100 No
organization_id query No
skip query integer 0 No
sort_by query No
sort_dir query string desc No

Responses

{
    "data": [
        {
            "entity_type": "SHOOTING",
            "entity_id": "d9d2003a-784a-47ef-8174-25bd60f5471c",
            "data": {
                "id": "e123f363-8874-4cc6-aba3-d594b0246849",
                "created_at": "2022-04-13T15:42:05.901Z",
                "updated_at": "2022-04-13T15:42:05.901Z",
                "name": "string",
                "description": null,
                "due_date": null,
                "owner_id": "49125ef4-06ba-4d75-9ff1-7962f2390d58",
                "organization_id": null,
                "archived": true,
                "season": null,
                "collection": null,
                "brand": null,
                "billing_metering_rule": null,
                "billing_funding": null,
                "billing_state": null,
                "po_tag": null,
                "included_proposal_rounds": 0,
                "included_postprod_rounds": 0,
                "billing_note": null,
                "default_guidelines_id": null,
                "default_guidelines": null,
                "column_owners": {},
                "phase": null,
                "latest_test_production_id": null,
                "require_test_shooting": true,
                "shooting_type_id": null,
                "shooting_type": null,
                "deleted_at": null,
                "shot_status": null,
                "status": null,
                "board_pdf": null,
                "cover_image": null,
                "background_images": [
                    null
                ]
            }
        }
    ],
    "count": 0
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "data": {
            "items": {
                "$ref": "#/components/schemas/FolderContentItem"
            },
            "type": "array",
            "title": "Data"
        },
        "count": {
            "type": "integer",
            "title": "Count"
        }
    },
    "type": "object",
    "required": [
        "data",
        "count"
    ],
    "title": "FolderItemsPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

POST /api/v1/folders/{folder_id}/items

Place Folder Item

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
folder_id path string No
organization_id query No

Request body

{
    "entity_type": "SHOOTING",
    "entity_id": "fb3ea298-f31f-4796-ac70-2f6317bd2fa1"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "properties": {
        "entity_type": {
            "$ref": "#/components/schemas/FolderEntityType"
        },
        "entity_id": {
            "type": "string",
            "format": "uuid",
            "title": "Entity Id"
        }
    },
    "type": "object",
    "required": [
        "entity_type",
        "entity_id"
    ],
    "title": "FolderItemPlace"
}

Responses

{
    "id": "63acddc0-196c-4ebf-aba4-e9c0a1bbc192",
    "folder_id": "a50d9777-9ee5-4597-a592-7be323989dce",
    "entity_type": "SHOOTING",
    "entity_id": "770ce9ad-c711-4217-b07e-0de0debfdfe2",
    "created_at": "2022-04-13T15:42:05.901Z"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "id": {
            "type": "string",
            "format": "uuid",
            "title": "Id"
        },
        "folder_id": {
            "type": "string",
            "format": "uuid",
            "title": "Folder Id"
        },
        "entity_type": {
            "$ref": "#/components/schemas/FolderEntityType"
        },
        "entity_id": {
            "type": "string",
            "format": "uuid",
            "title": "Entity Id"
        },
        "created_at": {
            "type": "string",
            "format": "date-time",
            "title": "Created At"
        }
    },
    "type": "object",
    "required": [
        "id",
        "folder_id",
        "entity_type",
        "entity_id",
        "created_at"
    ],
    "title": "FolderItemPublic"
}

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

DELETE /api/v1/folders/{folder_id}/items/{entity_type}/{entity_id}

Remove Folder Item

Input parameters

Parameter In Type Default Nullable Description
OAuth2PasswordBearer header string N/A No
entity_id path string No
entity_type path No
folder_id path string No
organization_id query No

Responses

{
    "detail": [
        {
            "loc": [
                null
            ],
            "msg": "string",
            "type": "string",
            "input": null,
            "ctx": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "properties": {
        "detail": {
            "items": {
                "$ref": "#/components/schemas/ValidationError"
            },
            "type": "array",
            "title": "Detail"
        }
    },
    "type": "object",
    "title": "HTTPValidationError"
}

Schemas

AutoGenerationMode

Type: string

AutoPostProductionMode

Type: string

BaseImagePublic

Name Type Description
image_url string
shot_type_id string(uuid)
shot_type_label string

BillingFunding

Type: string

BillingMeteringRule

Type: string

BillingState

Type: string

BodyType

Type: string

DefaultShotTypes

Type: string

EyeColor

Type: string

FolderContentItem

Name Type Description
data FolderEntityPublic
entity_id string(uuid)
entity_type FolderEntityType

FolderContentsPublic

Name Type Description
folder FolderPublic
item_total integer
items Array<FolderContentItem>
limit integer
skip integer
subfolders Array<FolderPublic>

FolderCreate

Name Type Description
color
description
name string
parent_id
thumbnail

FolderEntityPublic

Name Type Description
archived boolean
background_images Array<>
billing_funding
billing_metering_rule
billing_note
billing_state
board_pdf
brand
collection
column_owners
cover_image
created_at string(date-time)
default_guidelines
default_guidelines_id
deleted_at
description
due_date
id string(uuid)
included_postprod_rounds integer
included_proposal_rounds integer
latest_test_production_id
name string
organization_id
owner_id string(uuid)
phase
po_tag
require_test_shooting boolean
season
shooting_type
shooting_type_id
shot_status
status
updated_at string(date-time)

FolderEntityType

Type: string

FolderItemPlace

Name Type Description
entity_id string(uuid)
entity_type FolderEntityType

FolderItemPublic

Name Type Description
created_at string(date-time)
entity_id string(uuid)
entity_type FolderEntityType
folder_id string(uuid)
id string(uuid)

FolderItemsPublic

Name Type Description
count integer
data Array<FolderContentItem>

FolderPublic

Name Type Description
color
created_at string(date-time)
description
id string(uuid)
item_count integer Number of items placed DIRECTLY in this folder. Excludes subfolders and their contents — not a recursive total.
name string
organization_id string(uuid)
owner_id string(uuid)
parent_id
thumbnail
updated_at string(date-time)

FoldersPublic

Name Type Description
count integer
data Array<FolderPublic>

FolderTreeListPublic

Name Type Description
count integer
data Array<FolderTreePublic>

FolderTreePublic

Name Type Description
children Array<FolderTreePublic>
color
created_at string(date-time)
description
id string(uuid)
item_count integer Number of items placed DIRECTLY in this folder. Excludes subfolders and their contents — not a recursive total.
name string
organization_id string(uuid)
owner_id string(uuid)
parent_id
thumbnail
updated_at string(date-time)

FolderUpdate

Name Type Description
color
description
name
parent_id
thumbnail

Gender

Type: string

GuidelineShotTypePublic

Name Type Description
core_focus boolean
created_at string(date-time)
custom_ref_image_url
default_shot_type
deleted_at
file_naming_convention
framing
id string(uuid)
margins
margins_key
name string
organization_id
owner_id
prompt
prompt_builder_section
public boolean
reference_image
reference_image_url
requires_subject boolean
shot_type_prompt_instruction
shot_type_ref_image_url
updated_at string(date-time)
view_angle ViewAngle

GuidelinesShotTypeRuleGroup

Name Type Description
rule_kind GuidelinesShotTypeRuleKind
rule_value string
shot_types Array<GuidelineShotTypePublic>

GuidelinesShotTypeRuleKind

Type: string

HairColor

Type: string

HTTPValidationError

Name Type Description
detail Array<ValidationError>

MediaInput

Name Type Description
alt_text
caption
color_profile
dominant_color
duration
height
media_resource_id
protected boolean
url
width

MediaResourceMetadataPublic

Name Type Description
caption
content_type
created_at string(date-time)
extension string
file_size integer
id string(uuid)
protected boolean
resource_type MediaResourceType

MediaResourcePublic

Name Type Description
alt_text
aspect_ratio
caption
color_profile
content_hash string
created_at string(date-time)
dominant_color
duration
extension string
file_size integer
height
id string(uuid)
orientation
protected boolean
resource_type MediaResourceType
url string
width

MediaResourceType

Type: string

OwnerParty

Type: string

PosePresetPublic

Name Type Description
created_at string(date-time)
default_shot_type
deleted_at
id string(uuid)
name string
organization_id
owner_id string(uuid)
pose_image_media
pose_image_url
prompt
public boolean
shot_type_id string(uuid)
updated_at string(date-time)

ProductionRequestStatusKey

Type: string

QualityAssessmentMode

Type: string

SetBaseImagePublic

Name Type Description
created_at string(date-time)
id string(uuid)
image_media
image_url
shot_type_id string(uuid)
subject_id string(uuid)
updated_at string(date-time)
variant_index integer

SetDesignPublic

Name Type Description
background_preset_id
base_images Array<SetBaseImagePublic>
created_at string(date-time)
deleted_at
description
id string(uuid)
is_draft boolean
name string
organization_id
owner_id string(uuid)
production_due_at
reference_images Array<SetReferenceImagePublic>
subject_portraits Array<SubjectPortraitPublic>
updated_at string(date-time)

SetReferenceImagePublic

Name Type Description
created_at string(date-time)
id string(uuid)
image_media
image_url
label
shot_type_id string(uuid)
updated_at string(date-time)

ShootingGuidelinesPublic

Name Type Description
allow_back_shots_without_back_image boolean
auto_generate_outfits boolean
auto_generation_mode AutoGenerationMode
auto_post_production_mode AutoPostProductionMode
auto_post_production_template_id
background_images Array<>
background_preset_id
created_at string(date-time)
deleted_at
export_configuration_id
generative_workflow_template_id
id string(uuid)
is_system boolean
name string
organization_id
owner_id
pose_presets Array<PosePresetPublic>
quality_assessment_mode QualityAssessmentMode
quality_assessment_template_id
resolution_preset_id
set_design
set_design_id
shooting_type_id string(uuid)
shooting_type_key ShootingTypeKey
shot_type_rules Array<GuidelinesShotTypeRuleGroup>
shot_types Array<GuidelineShotTypePublic>
stylist_fillers_mode string
stylist_id
subjects Array<SubjectPublic>
updated_at string(date-time)

ShootingPhase

Type: string

ShootingStatus

Type: string

ShootingTypeKey

Type: string

ShootingTypePublic

Name Type Description
archived boolean
description
id string(uuid)
key string
label string

ShotTypeFraming

Type: string

SubjectAgeClass

Type: string

SubjectMeasurementsPublic

Name Type Description
bust_cm
eye_color
hair_color
height_cm
hips_cm
id string(uuid)
shoe_eu
waist_cm

SubjectPortraitPublic

Name Type Description
created_at string(date-time)
id string(uuid)
image_media
subject_id string(uuid)
updated_at string(date-time)

SubjectPublic

Name Type Description
age_class SubjectAgeClass
base_images Array<BaseImagePublic>
body_type
cover_image_media
cover_image_url
created_at string(date-time)
data_image_urls Array<string>
data_images_media
deleted_at
description
enabled boolean
ethnicity
gender Gender
id string(uuid)
measurements
name string
organization_id
owner_id string(uuid)
portfolio_images_media
portrait_image_media
portrait_image_url
public boolean
ready boolean
slug string
subject_type SubjectType
surname
updated_at string(date-time)

SubjectType

Type: string

ValidationError

Name Type Description
ctx
input
loc Array<>
msg string
type string

ViewAngle

Type: string

Security schemes

Name Type Scheme Description
OAuth2PasswordBearer oauth2